Bug 78812 - File "/usr/bin/anaconda", line 694, in ? RH8 will not Install
File "/usr/bin/anaconda", line 694, in ? RH8 will not Install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i586 Linux
medium Severity high
: ---
: ---
Assigned To: David Lawrence
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-01 02:01 EST by Need Real Name
Modified: 2007-04-18 12:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-10 03:10:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-12-01 02:01:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0 (nscd2)

Description of problem:
Intel MB ~400Mhz
Master HD 4 Gig
Slave HD  6 Gig
CDROM (can't boot ISO image for some reason)

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 694, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/src/build/148651-i386/install//usr/lib/anaconda/text.py", line 446,
in run
  File "/usr/src/build/148651-i386/install//usr/lib/anaconda/dispatch.py", line
150, in gotoNext
  File "/usr/src/build/148651-i386/install//usr/lib/anaconda/dispatch.py", line
215, in moveStep
  File "/usr/src/build/148651-i386/install//usr/lib/anaconda/packages.py", line
115, in readPackages
  File "/usr/src/build/148651-i386/install//usr/lib/anaconda/harddrive.py", line
209, in readHeaders
TypeError: an integer is required

Local variables in innermost frame:
sys: <module 'sys' (built-in)>
h: rhl-gsg-en
self: <harddrive.HardDriveInstallMethod instance at 0x85239cc>
hl: <comps.HeaderListFromFile instance at 0x83fafe4>


Dispatcher instance, containing members:
method: HardDriveInstallMethod instance, containing members:
  messageWindow: <bound method InstallInterface.messageWindow of
<text.InstallInterface instance at 0x8410e94>>
  discImages: {1: psyche-docs.iso, 2: psyche-i386-disc2.iso, 3:
psyche-i386-disc3.iso}
  fnames: {}
  isoDir: /tmp/isodir/
  tree: None
  rootPath: /mnt/sysimage
  fstype: vfat
  device: hda5
  path: 
  mediaIsMounted: 0
  isoDirIsMounted: 0
step: 34
intf: InstallInterface instance, containing members:
  instLanguage: InstallTimeLanguage instance, containing members:
    current: en_US
    map: {'Swedish': iso15, 'Danish': iso15, 'Icelandic': iso15,
'Chinese(Simplified)': None, 'Norwegian': iso15, 'German': iso09, 'Dutch':
iso15, 'Slovenian': iso02, 'Japanese': None, 'French': iso15, 'Czech': iso02,
'Portuguese': iso15, 'Ukrainian': koi8-u, 'Spanish': iso15, 'English': iso01,
'Russian': koi8-r, 'Korean': None, 'Chinese(Traditional)': None, 'Italian': iso15}
    tempDefault: 
    nativeLangNames: {}
    langList: [Chinese(Simplified), Chinese(Traditional), Czech, Danish, Dutch,
English, French, German, Icelandic, Italian, Japanese, Korean, Norwegian,
Portuguese, Russian, Slovenian, Spanish, Swedish, Ukrainian]
    langNicks: {'Swedish': sv_SE, 'Danish': da_DK, 'Icelandic': is_IS,
'Chinese(Simplified)': zh_CN.GB18030, 'Norwegian': no_NO, 'German': de_DE,
'Dutch': nl_NL, 'Slovenian': sl_SI, 'Japanese': ja_JP.eucJP, 'French': fr_FR,
'Czech': cs_CZ, 'Portuguese': pt_PT@euro, 'Ukrainian': uk_UA, 'Spanish': es_ES,
'English': en_US, 'Russian': ru_RU.koi8r, 'Korean': ko_KR.eucKR,
'Chinese(Traditional)': zh_TW.Big5, 'Italian': it_IT}
    font: {'Swedish': lat0-sun16, 'Danish': lat0-sun16, 'Icelandic': lat0-sun16,
'Chinese(Simplified)': None, 'Norwegian': lat0-sun16, 'German': lat0-16,
'Dutch': lat0-sun16, 'Slovenian': lat2-sun16, 'Japanese': Kon, 'French':
lat0-sun16, 'Czech': lat2-sun16, 'Portuguese': lat0-sun16, 'Ukrainian':
cyr-sun16, 'Spanish': lat0-sun16, 'English': default8x16, 'Russian': cyr-sun16,
'Korean': None, 'Chinese(Traditional)': None, 'Italian': lat0-sun16}
    kbd: {'Swedish': se-latin1, 'Danish': us, 'Icelandic': is-latin1,
'Chinese(Simplified)': us, 'Norwegian': no-latin1, 'German':
de-latin1-nodeadkeys, 'Dutch': nl, 'Slovenian': slovene, 'Japanese': jp106,
'French': fr-latin1, 'Czech': cz-lat2, 'Portuguese': pt-latin1, 'Ukrainian': ua,
'Spanish': es, 'English': us, 'Russian': ru, 'Korean': us,
'Chinese(Traditional)': us, 'Italian': it}
    tz: {'Swedish': Europe/Stockholm, 'Danish': Europe/Copenhagen, 'Icelandic':
Atlantic/Reykjavik, 'Chinese(Simplified)': Asia/Shanghai, 'Norwegian':
Europe/Oslo, 'German': Europe/Berlin, 'Dutch': Europe/Amsterdam, 'Slovenian':
Europe/Ljubljana, 'Japanese': Asia/Tokyo, 'French': Europe/Paris, 'Czech':
Europe/Prague, 'Portuguese': Europe/Lisbon, 'Ukrainian': Europe/Kiev, 'Spanish':
Europe/Madrid, 'English': America/New_York, 'Russian': Europe/Moscow, 'Korean':
Asia/Seoul, 'Chinese(Traditional)': Asia/Taipei, 'Italian': Europe/Rome}
  langSearchPath: [en_US, en, C]
  showingHelpOnHelp: 0
  welcomeText: Red Hat Linux (C) 2002 Red Hat, Inc.
  screen: SnackScreen instance, containing members:
    width: 80
    helpCb: <bound method InstallInterface.helpWindow of <text.InstallInterface
instance at 0x8410e94>>
    height: 25
  configFileData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat
Linux Beta, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps/splash.png}
flags: Flags instance, containing members:
  flags: {'test': 0, 'setupFilesystems': 1, 'serial': 0, 'expert': 0, 'autostep': 0}
dispatch: Already dumped
instPath: /mnt/sysimage
firstStep: 0
id: InstallData instance, containing members:
  compspkg: None
  dbpath: None
  firewall: Firewall instance, containing members:
    ftp: 0
    http: 0
    portlist: 
    enabled: 1
    telnet: 0
    custom: 1
    ssh: 0
    policy: 1
    dhcp: 0
    smtp: 0
    trustdevs: []
    ports: []
  upgradeSwapInfo: None
  firstboot: 0
  hdList: None
  auth: Authentication instance, containing members:
    hesiodLhs: 
    useKrb5: 0
    nisuseBroadcast: 1
    useShadow: 1
    sambaServer: 
    krb5Realm: 
    nisDomain: 
    sambaWorkgroup: 
    ldapTLS: 
    useMD5: 1
    useSamba: 0
    ldapBasedn: 
    krb5Admin: 
    enableCache: 0
    useLdapauth: 0
    hesiodRhs: 
    ldapServer: 
    useHesiod: 0
    krb5Kdc: 
    useLdap: 0
    nisServer: 
    useNIS: 0
  upgradeRoot: None
  comps: None
  dependencies: []
  accounts: None
  fsset: FileSystemSet instance, containing members:
    messageWindow: <bound method InstallInterface.messageWindow of
<text.InstallInterface instance at 0x8410e94>>
    waitWindow: <bound method InstallInterface.waitWindow of
<text.InstallInterface instance at 0x8410e94>>
    mountcount: 0
    entries: [fsentry -- device: hdb3   mountpoint: /
           fsystem: ext3 format: 1

, fsentry -- device: hdb1   mountpoint: /boot
           fsystem: ext3 format: 1

, fsentry -- device: none   mountpoint: /dev/pts
           fsystem: devpts format: 0

, fsentry -- device: none   mountpoint: /proc
           fsystem: proc format: 0

, fsentry -- device: hdb2   mountpoint: swap
           fsystem: swap format: 1

]
    progressWindow: <bound method InstallInterface.progressWindow of
<text.InstallInterface instance at 0x8410e94>>
    migratedfs: 0
  keyboard: Keyboard instance, containing members:
    info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
    modelDict: {'gr': ['Greek', 'el', 'pc102', ''], 'speakup': ['Speakup', 'us',
'pc105', ''], 'ru-cp1251': ['Russian (cp1251)', 'ru', 'pc102', ''],
'speakup-lt': ['Speakup (laptop)', 'us', 'pc105', ''], 'cf': ['French Canadian',
'ca_enhanced', 'pc102', ''], 'se-latin1': ['Swedish', 'se', 'pc102', ''],
'fr_CH-latin1': ['Swiss French (latin1)', 'fr_CH', 'pc102', ''], 'fr-pc':
['French (pc)', 'fr', 'pc102', ''], 'ru-ms': ['Russian (Microsoft)', 'ru',
'pc102', ''], 'sk-qwerty': ['Slovakian', 'sk_qwerty', 'pc102', ''], 'ru2':
['Russian (ru2)', 'ru', 'pc102', ''], 'et': ['Estonian', 'ee', 'pc102', ''],
'ru1': ['Russian (ru1)', 'ru', 'pc102', ''], 'es': ['Spanish', 'es', 'pc102',
''], 'it-ibm': ['Italian (IBM)', 'it', 'pc102', ''], 'ru': ['Russian', 'ru',
'pc102', ''], 'fr-latin1': ['French (latin1)', 'fr', 'pc102', ''], 'no':
['Norwegian', 'no', 'pc102', ''], 'de-latin1-nodeadkeys': ['German (latin1 w/ no
deadkeys)', 'de', 'pc102', 'nodeadkeys'], 'ru_win': ['Russian (win)', 'ru',
'pc105', ''], 'ua': ['Ukrainian', 'ua', 'pc102', ''], 'pt-latin1':
['Portuguese', 'pt', 'pc102', ''], 'it': ['Italian', 'it', 'pc102', ''],
'de-latin1': ['German (latin1)', 'de', 'pc102', ''], 'fr': ['French', 'fr',
'pc102', ''], 'pl': ['Polish', 'pl', 'pc102', ''], 'cz-lat2':
['Czechoslovakian', 'cz', 'pc102', ''], 'dk-latin1': ['Denmark (latin1)', 'dk',
'pc102', ''], 'bg': ['Bulgarian', 'bg', 'pc102', ''], 'dk': ['Denmark', 'dk',
'pc102', ''], 'be-latin1': ['Belgian (be-latin1)', 'be', 'pc102', ''],
'sg-latin1': ['Swiss German (latin1)', 'de_CH', 'pc102', ''], 'fr-latin0':
['French (latin0)', 'fr', 'pc102', ''], 'de': ['German', 'de', 'pc102', ''],
'hu': ['Hungarian', 'hu', 'pc102', ''], 'jp106': ['Japanese', 'jp', 'jp106',
''], 'us-acentos': ['U.S. International', 'us_intl', 'pc105', ''], 'fr_CH':
['Swiss French', 'fr_CH', 'pc102', ''], 'fi': ['Finnish', 'fi', 'pc102', ''],
'dvorak': ['Dvorak', 'dvorak', 'pc105', ''], 'it2': ['Italian (it2)', 'it',
'pc102', ''], 'fi-latin1': ['Finnish (latin1)', 'fi', 'pc102', ''], 'ro_win':
['Romanian', 'ro', 'pc102', ''], 'hu101': ['Hungarian (101 key)', 'hu', 'pc102',
''], 'slovene': ['Slovenian', 'si', 'pc102', ''], 'br-abnt2': ['Brazilian
(ABNT2)', 'br', 'abnt2', ''], 'us': ['U.S. English', 'us', 'pc105', ''],
'no-latin1': ['Norwegian (latin1)', 'no','pc102', ''], 'is-latin1': ['Iceland',
'is', 'pc102', ''], 'cz-us-qwertz': ['Czechoslovakian (qwertz)', 'cz', 'pc102',
''], 'uk': ['United Kingdom', 'gb', 'pc101', ''], 'trq': ['Turkish', 'tr',
'pc102', ''], 'sg': ['Swiss German', 'de_CH', 'pc102', '']}
    type: PC
    beenset: 0
  timezone: Timezone instance, containing members:
    utc: 0
    utcOffset: 0
    arc: 0
    tz: US/Central
    dst: 0
  bootloader: x86BootloaderInfo instance, containing members:
    kickstart: 0
    doUpgradeOnly: 0
    useLinear: 1
    defaultDevice: boot
    useGrubVal: 0
    args: KernelArguments instance, containing members:
      args: 
    kernelLocation: /boot/
    images: BootImages instance, containing members:
      default: hdb3
      images: {'hda1': ('DOS', 'DOS', 'FAT'), 'hdb3': ('linux', 'Red Hat Linux',
'ext3')}
    configfile: /etc/lilo.conf
    above1024: 0
    serialOptions: None
    pure: None
    serialDevice: None
    device: hdb1
    drivelist: [hda, hdb]
    serial: 0
    password: None
    forceLBA32: 0
  mouse: FULLNAME="Generic - 2 Button Mouse (serial)"
MOUSETYPE="Microsoft"
XEMU3="yes"
XMOUSETYPE="Microsoft"

  extraModules: []
  network: Network instance, containing members:
    domains: []
    isConfigured: 0
    overrideDHCPhostname: 0
    netdevices: {}
    primaryNS: 
    hostname: localhost.localdomain
    secondaryNS: 
    gateway: 
    ternaryNS: 
  instClass: InstallClass instance, containing members:
  upgrade: Boolean instance, containing members:
    val: 0
  monitor: monName: None
monID: Unprobed Monitor
fbmonSect: 
monHoriz: 31.5-48.5
monVert: 50-70
physicalWidth: 0
physicalHeight: 0

  xconfig: XF86Config instance, containing members:
    files: 
# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

    fallbackModes: {'16': ['800x600']}
    monitor: Already dumped
    forcedDPI: None
    res: 800x600
    keyboard: Already dumped
    videocard: device: None
descr : S3 Inc.|86c368 [Trio 3D/2X]
server: XFree86
cardManf: None
vidRam: 4096
carddata: {'SEE': 'S3 Trio3D', 'NAME': 'S3 Trio3D/2X', 'NOCLOCKPROBE': '',
'CHIPSET': 'S3 Trio3D', 'LINE': '     # Option "no_accel"\t# You may enable this
if there are timeouts when starting X', 'DRIVER': 'vesa', 'SERVER': 'SVGA'}
devID: S3 Trio3D/2X
fbmodes: None
fbbpp: None

    manualModes: {}
    skipx: 0
    skip: 0
    device: None
    monids: {}
    mouse: Already dumped
    monlist: {}
    modes: {'16': ['800x600']}
  floppyDevice: fd0
  methodstr: hd://hda5:vfat/
  videocard: primary: 0
vidCards: [<rhpl.videocard.VideoCard instance at 0x82e35e4>]
Primary Video Card Info:
device: None
descr : S3 Inc.|86c368 [Trio 3D/2X]
server: XFree86
cardManf: None
vidRam: 4096
carddata: {'SEE': 'S3 Trio3D', 'NAME': 'S3 Trio3D/2X', 'NOCLOCKPROBE': '',
'CHIPSET': 'S3 Trio3D', 'LINE': '     # Option "no_accel"\t# You may enable this
if there are timeouts when starting X', 'DRIVER': 'vesa', 'SERVER': 'SVGA'}
devID: S3 Trio3D/2X
fbmodes: None
fbbpp: None

  desktop: Desktop instance, containing members:
    info: {}
    runlevel: 3
  instLanguage: Already dumped
  tmpData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat Linux
Beta, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps/splash.png}
  diskset: DiskSet instance, containing members:
    disks: {'hdb': <PedDisk object at 0x8232740>, 'hda': <PedDisk object at
0x85462a8>}
  rootPassword: None
  handleDeps: 0
  langSupport: Language instance, containing members:
    info: {'LANG': en_US.UTF-8, 'SYSFONT': latarcyrheb-sun16, 'SUPPORTED':
en_US.UTF-8:en_US:en}
    langInfoByName: {'Manx Gaelic (Britain)': ('gv_GB.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Icelandic': ('is_IS.UTF-8', 'utf8', 'latarcyrheb-sun16'),
'Arabic (Sudan)': ('ar_SD.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Estonian':
('et_EE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Turkish': ('tr_TR.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Catalan (Spain)': ('ca_ES.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'English (Australia)': ('en_AU.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'English (Hong Kong)': ('en_HK.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'German (Switzerland)': ('de_CH.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Nicaragua)': ('es_NI.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Uruguay)': ('es_UY.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Slovenian (Slovenia)': ('sl_SI.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'German (Germany)': ('de_DE.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'English (Canada)': ('en_CA.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'French (Canada)': ('fr_CA.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Dominican Republic)': ('es_DO.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Saudi Arabia)': ('ar_SA.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Swedish (Finland)': ('sv_FI.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'French (Luxemburg)': ('fr_LU.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Tagalog (Philipines)': ('tl_PH', 'iso15', 'lat0-sun16'),
'Dutch (Netherlands)': ('nl_NL.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Uzbek
(Uzbekistan)': ('uz_UZ', 'iso15', 'lat0-sun16'), 'English (Ireland)':
('en_IE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Egypt)': ('ar_EG.UTF-8',
'utf8', 'latarcyrheb-sun16'), 'Hungarian': ('hu_HU.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Basque (Spain)': ('eu_ES.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Chinese (Hong Kong)': ('zh_HK.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Yemen)': ('ar_YE.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Lithuanian': ('lt_LT.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Bahrein)': ('ar_BH.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Breton (France)': ('br_FR', 'iso15', 'lat0-sun16'),
'English (Zimbabwe)': ('en_ZW.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Ukrainian':
('uk_UA.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Norwegian, Nynorsk (Norway)':
('nn_NO.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Russian': ('ru_RU.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Serbian (Yugoslavia)': ('sr_YU.UTF-8@cyrillic', 'utf8',
'latarcyrheb-sun16'), 'English (Botswana)': ('en_BW.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Venezuela)': ('es_VE.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Chile)': ('es_CL.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Dutch (Belgium)': ('nl_BE.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Iraq)': ('ar_IQ.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Swedish (Sweden)': ('sv_SE.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Russian (Ukraine)': ('ru_UA.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Finnish': ('fi_FI.UTF-8', 'utf8', 'latarcyrheb-sun16'),
'Occitan (France)': ('oc_FR', 'iso15', 'lat0-sun16'), 'Albanian':
('sq_AL.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'German (Luxemburg)':
('de_LU.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'German (Belgium)':
('de_BE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (USA)': ('es_US.UTF-8',
'utf8', 'latarcyrheb-sun16'), 'Italian (Switzerland)': ('it_CH.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Jordan)': ('ar_JO.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Urdu (Pakistan)': ('ur_PK', 'utf8', 'latarcyrheb-sun16'),
'Irish': ('ga_IE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (Singapore)':
('en_SG.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (Great Britain)':
('en_GB.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Syrian Arab Republic)':
('ar_SY.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Chinese (P.R. of China)':
('zh_CN.GB18030', 'iso15', 'lat0-sun16'), 'Belarusian': ('be_BY.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Spain)': ('es_ES.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Macedonian': ('mk_MK.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Slovak': ('sk_SK.UTF-8', 'utf8', 'latarcyrheb-sun16'),
'Polish': ('pl_PL.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Portuguese (Brasil)':
('pt_BR.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Panama)':
('es_PA.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Puerto Rico)':
('es_PR.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (USA)': ('en_US.UTF-8',
'utf8', 'latarcyrheb-sun16'), 'Hebrew (Israel)': ('he_IL.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Hindi (India)': ('hi_IN', 'utf8', 'latarcyrheb-sun16'),
'Romanian': ('ro_RO.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (Denmark)':
('en_DK.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Telgu (India)': ('te_IN', 'utf8',
'latarcyrheb-sun16'), 'Arabic (United Arab Emirates)': ('ar_AE.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Cornish (Britain)': ('kw_GB.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Bolivia)': ('es_BO.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'English (New Zealand)': ('en_NZ.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Galician (Spain)': ('gl_ES.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Latvian (Latvia)': ('lv_LV.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Czech': ('cs_CZ.UTF-8', 'utf8', 'latarcyrheb-sun16'),
'Danish': ('da_DK.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Indonesian':
('id_ID.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Algeria)':
('ar_DZ.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (Philippines)':
('en_PH.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (India)': ('ar_IN',
'utf8', 'latarcyrheb-sun16'), 'Persian (Iran)': ('fa_IR', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Morocco)': ('ar_MA.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Norwegian': ('no_NO.UTF-8', 'utf8', 'latarcyrheb-sun16'),
'Afrikaans (South Africa)': ('af_ZA', 'iso15', 'lat0-sun16'), 'Spanish
(Paraguay)': ('es_PY.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Faroese (Faroe
Islands)': ('fo_FO.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Bosnian (Bosnia and
Herzegowina)': ('bs_BA', 'iso02', 'lat2-sun16'), 'Arabic (Lebanon)':
('ar_LB.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Thai': ('th_TH.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Costa Rica)': ('es_CR.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Tunisia)': ('ar_TN.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Northern Saami (Norway)': ('se_NO', 'utf8',
'latarcyrheb-sun16'), 'English (India)': ('en_IN', 'utf8', 'latarcyrheb-sun16'),
'Chinese (Taiwan)': ('zh_TW.Big5', 'iso15', 'lat0-sun16'), 'Spanish (Honduras)':
('es_HN.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Ecuador)':
('es_EC.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (El Salvador)':
('es_SV.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Greek': ('el_GR.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Mexico)': ('es_MX.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Tamil (India)': ('ta_IN', 'utf8', 'latarcyrheb-sun16'),
'Spanish (Peru)': ('es_PE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Korean
(Republic of Korea)': ('ko_KR.eucKR', 'iso15', 'lat0-sun16'), 'French
(Belgium)': ('fr_BE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Greenlandic
(Greenland)': ('kl_GL.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'French (France)':
('fr_FR.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Croatian': ('hr_HR.UTF-8',
'utf8', 'latarcyrheb-sun16'), 'Marathi (India)': ('mr_IN', 'utf8',
'latarcyrheb-sun16'), 'French (Switzerland)': ('fr_CH.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Qatar)': ('ar_QA.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'English (South Africa)': ('en_ZA.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Kuwait)': ('ar_KW.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Maltese (malta)': ('mt_MT.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Portuguese (Portugal)': ('pt_PT.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Japanese': ('ja_JP.eucJP', 'iso15', 'lat0-sun16'),
'Arabic (Oman)': ('ar_OM.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Libyan
Arab Jamahiriya)': ('ar_LY.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Malay
(Malaysia)': ('ms_MY.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish
(Guatemala)': ('es_GT.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'German (Austria)':
('de_AT.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Italian (Italy)': ('it_IT.UTF-8',
'utf8', 'latarcyrheb-sun16'), 'Spanish (Colombia)': ('es_CO.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Argentina)': ('es_AR.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Walloon (Belgium)': ('wa_BE@euro', 'iso15', 'lat0-sun16')}
    langList: None
    default: English (USA)
    langNicks: None
    supported: [English (USA)]
    allSupportedLangs: None
  partitions: Partitions instance, containing members:
    useFdisk: 0
    useAutopartitioning: 0
    autoClearPartType: 1
    nextUniqueID: 11
    reinitializeDisks: 0
    autoClearPartDrives: None
    zeroMbr: 0
    isKickstart: 0
    requests: [NewPartitionSpec instance, containing members:
      currentDrive: hdb
      badblocks: 0
      format: 1
      migrate: None
      origfstype: None
      primary: None
      fstype: ext3FileSystem instance, containing members:
        partedPartitionFlags: []
        checked: 1
        name: ext3
        migratetofs: None
        deviceArguments: {}
        supported: -1
        partedFileSystemType: <PedFileSystemType object at 0x82a1d28>
        defaultOptions: defaults
        maxSizeMB: 2097152
        extraFormatArgs: [-j]
        formattable: 1
        linuxnativefs: 1
        maxLabelChars: 16
      preexist: 0
      fslabel: None
      uniqueID: 7
      device: hdb1
      mountpoint: /boot
      requestSize: 100
      maxSizeMB: None
      size: 100
      end: None
      drive: None
      dev: PartitionDevice instance, containing members:
        device: hdb1
        isSetup: 0
        fsoptions: {}
        doLabel: 1
        label: None
      grow: None
      start: None
      protected: 0
      ignoreBootConstraints: 0
      type: 2
, NewPartitionSpec instance, containing members:
      currentDrive: hdb
      badblocks: 0
      format: 1
      migrate: None
      origfstype: None
      primary: None
      fstype: Already dumped
      preexist: 0
      fslabel: None
      uniqueID: 10
      device: hdb3
      mountpoint: /
      requestSize: 5875
      maxSizeMB: None
      size: 5875
      end: None
      drive: None
      dev: PartitionDevice instance, containing members:
        device: hdb3
        isSetup: 0
        fsoptions: {}
        doLabel: 1
        label: None
      grow: None
      start: None
      protected: 0
      ignoreBootConstraints: 0
      type: 2
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: None
      primary: None
      fstype: None
      preexist: 1
      dev: None
      uniqueID: 2
      device: hda2
      mountpoint: None
      requestSize: 2596.44287109
      maxSizeMB: None
      size: 2596.44287109
      end: 8401994
      drive: hda
      fslabel: None
      grow: 0
      start: 3084480
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: None
      primary: None
      fstype: None
      preexist: 1
      dev: None
      uniqueID: 6
      device: hdb-1
      mountpoint: None
      requestSize: 6165.54052734
      maxSizeMB: None
      size: 6165.54052734
      end: 12643154
      drive: hdb
      fslabel: None
      grow: 0
      start: 16128
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: FATFileSystem instance, containing members:
        partedPartitionFlags: []
        checked: 0
        name: vfat
        migratetofs: None
        deviceArguments: {}
        supported: -1
        partedFileSystemType: <PedFileSystemType object at 0x82b3580>
        defaultOptions: defaults
        maxSizeMB: 2048
        extraFormatArgs: []
        formattable: 1
        linuxnativefs: 0
        maxLabelChars: 16
      primary: None
      fstype: Already dumped
      preexist: 1
      dev: None
      uniqueID: 3
      device: hda5
      mountpoint: None
      requestSize: 2596.41210938
      maxSizeMB: None
      size: 2596.41210938
      end: 8401994
      drive: hda
      fslabel: None
      grow: 0
      start: 3084543
      protected: 1
      ignoreBootConstraints: 0
      type: 1
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: Already dumped
      primary: None
      fstype: Already dumped
      preexist: 1
      dev: None
      uniqueID: 1
      device: hda1
      mountpoint: None
      requestSize: 1506.06298828
      maxSizeMB: None
      size: 1506.06298828
      end: 3084479
      drive: hda
      fslabel: None
      grow: 0
      start: 63
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, NewPartitionSpec instance, containing members:
      currentDrive: hdb
      badblocks: 0
      format: 1
      migrate: None
      origfstype: None
      primary: None
      fstype: swapFileSystem instance, containing members:
        partedPartitionFlags: []
        checked: 0
        name: swap
        migratetofs: None
        deviceArguments: {}
        supported: 1
        partedFileSystemType: <PedFileSystemType object at 0x82b2db0>
        defaultOptions: defaults
        maxSizeMB: 2097152
        extraFormatArgs: []
        formattable: 1
        linuxnativefs: 1
        maxLabelChars: 16
      preexist: 0
      fslabel: None
      uniqueID: 8
      device: hdb2
      mountpoint: None
      requestSize: 200
      maxSizeMB: None
      size: 200
      end: None
      drive: None
      dev: PartitionDevice instance, containing members:
        device: hdb2
        isSetup: 0
        fsoptions: {}
        doLabel: 1
        label: None
      grow: None
      start: None
      protected: 0
      ignoreBootConstraints: 0
      type: 2
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: None
      primary: None
      fstype: None
      preexist: 1
      dev: None
      uniqueID: 4
      device: hdb-1
      mountpoint: None
      requestSize: 7.8134765625
      maxSizeMB: None
      size: 7.8134765625
      end: 16064
      drive: hdb
      fslabel: None
      grow: 0
      start: 63
      protected: 0
      ignoreBootConstraints: 0
      type: 1
]
    autoPartitionRequests: [New Part Request -- mountpoint: / uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 1100  grow: 1  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: None uniqueID: None
  type: swap  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 96  grow: 1  maxsize: 192
  start: None  end: None  migrate: None  origfstype: None
]
    deletes: [drive: hdb  start: 16065  end: 12643154
]
  upgradeDeps: 
  configFileData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat
Linux Beta, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps/splash.png}
  x_already_set: 0
dir: 1
skipSteps: {'autopartitionexecute': 1, 'upgrademigfind': 1, 'confirmupgrade': 1,
'betanag': 1, 'makebootdisk': 1, 'keyboard': 2, 'indivpackage': 1,
'upgrademount': 1, 'upgrademigratefs': 1, 'upgbootloader': 1, 'network': 1,
'upgradecontinue': 1, 'addswap': 1, 'findrootparts': 1, 'findinstall': 1,
'language': 2, 'upgradeswapsuggestion': 1, 'autopartition': 1, 'fdasd': 2,
'package-selection': 1, 'authentication': 1, 'findpackages': 1, 'fdisk': 1}


/tmp/syslog:
<4>Linux version 2.4.18-14BOOT (bhcompile@daffy.perf.redhat.com) (gcc version
3.2 20020903 (Red Hat Linux 8.0 3.2-7)) #1 Wed Sep 4 11:55:51 EDT 2002
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
<4> BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
<4> BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 0000000003ff0000 (usable)
<4> BIOS-e820: 0000000003ff0000 - 0000000003ff8000 (ACPI data)
<4> BIOS-e820: 0000000003ff8000 - 0000000004000000 (ACPI NVS)
<4> BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
<4> BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
<4> BIOS-e820: 00000000fff80000 - 0000000100000000 (reserved)
<5>63MB LOWMEM available.
<4>On node 0 totalpages: 16368
<4>zone(0): 4096 pages.
<4>zone(1): 12272 pages.
<4>zone(2): 0 pages.
<4>Kernel command line: initrd=initrd.img lang= devfs=nomount ramdisk_size=9216
BOOT_IMAGE=vmlinuz updates
<4>Local APIC disabled by BIOS -- reenabling.
<4>Found and enabled local APIC!
<6>Initializing CPU#0
<4>Detected 399.109 MHz processor.
<4>Speakup v-1.00 CVS: Tue Jun 11 14:22:53 EDT 2002 : initialized
<4>Console: colour VGA+ 80x25
<4>Calibrating delay loop... 796.26 BogoMIPS
<6>Memory: 61188k/65472k available (1162k kernel code, 3388k reserved, 359k
data, 176k init, 0k highmem)
<6>Dentry cache hash table entries: 8192 (order: 4, 65536 bytes)
<6>Inode cache hash table entries: 4096 (order: 3, 32768 bytes)
<6>Mount cache hash table entries: 1024 (order: 1, 8192 bytes)
<7>ramfs: mounted with options: <defaults>
<7>ramfs: max_pages=7712 max_file_pages=0 max_inodes=0 max_dentries=7712
<6>Buffer cache hash table entries: 1024 (order: 0, 4096 bytes)
<4>Page-cache hash table entries: 16384 (order: 4, 65536 bytes)
<7>CPU: Before vendor init, caps: 0183fbff 00000000 00000000, vendor = 0
<6>CPU: L1 I cache: 16K, L1 D cache: 16K
<6>CPU: L2 cache: 128K
<7>CPU: After vendor init, caps: 0183fbff 00000000 00000000 00000000
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<7>CPU:     After generic, caps: 0183fbff 00000000 00000000 00000000
<7>CPU:             Common caps: 0183fbff 00000000 00000000 00000000
<4>CPU: Intel Celeron (Mendocino) stepping 05
<6>Enabling fast FPU save and restore... done.
<6>Checking 'hlt' instruction... OK.
<6>Checking for popad bug... OK.
<4>POSIX conformance testing by UNIFIX
<4>enabled ExtINT on CPU#0
<4>ESR value before enabling vector: 00000000
<4>ESR value after enabling vector: 00000000
<4>Using local APIC timer interrupts.
<4>calibrating APIC timer ...
<4>..... CPU clock speed is 399.0956 MHz.
<4>..... host bus clock speed is 66.5158 MHz.
<4>cpu: 0, clocks: 665158, slice: 332579
<4>CPU0<T0:665152,T1:332560,D:13,S:332579,C:665158>
<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
<4>mtrr: detected mtrr type: Intel
<6>PCI: PCI BIOS revision 2.10 entry at 0xfdb91, last bus=1
<6>PCI: Using configuration type 1
<6>PCI: Probing PCI hardware
<6>PCI: Using IRQ router PIIX [8086/7110] at 00:07.0
<6>Limiting direct PCI/PCI transfers.
<4>speakup:  initialized device: /dev/synth, node (MAJOR 10, MINOR 25)
<6>Linux NET4.0 for Linux 2.4
<6>Based upon Swansea University Computer Society NET3.039
<4>Initializing RT netlink socket
<4>Starting kswapd
<6>Detected PS/2 Mouse Port.
<4>pty: 256 Unix98 ptys configured
<6>Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ SERIAL_PCI
enabled
<6>ttyS0 at 0x03f8 (irq = 4) is a 16550A
<6>ttyS1 at 0x02f8 (irq = 3) is a 16550A
<6>PCI: Found IRQ 10 for device 00:0e.0
<6>PCI: Sharing IRQ 10 with 00:0c.0
<6>Redundant entry in serial pci_table.  Please send the output of
<4>lspci -vv, this message (134d,7890,134d,0001)
<4>and the manufacturer and name of serial board or modem board
<4>to serial-pci-info@lists.sourceforge.net.
<4>register_serial(): autoconfig failed
<4>block: 112 slots per queue, batch=28
<6>Uniform Multi-Platform E-IDE driver Revision: 6.31
<4>ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
<4>PIIX4: IDE controller on PCI bus 00 dev 39
<4>PIIX4: chipset revision 1
<4>PIIX4: not 100% native mode: will probe irqs later
<4>    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:DMA
<4>    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:pio
<4>hda: ST34342A, ATA DISK drive
<4>hdb: Maxtor 86480D6, ATA DISK drive
<4>hdc: CD-ROM Drive/F5E, ATAPI CD/DVD-ROM drive
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>ide1 at 0x170-0x177,0x376 on irq 15
<4>blk: queue c02e7ce4, I/O limit 4095Mb (mask 0xffffffff)
<4>blk: queue c02e7ce4, I/O limit 4095Mb (mask 0xffffffff)
<6>hda: 8404830 sectors (4303 MB) w/128KiB Cache, CHS=523/255/63, UDMA(33)
<4>blk: queue c02e7e20, I/O limit 4095Mb (mask 0xffffffff)
<4>blk: queue c02e7e20, I/O limit 4095Mb (mask 0xffffffff)
<6>hdb: 12658776 sectors (6481 MB) w/256KiB Cache, CHS=787/255/63, UDMA(33)
<4>hdc: ATAPI 52X CD-ROM drive, 128kB Cache
<6>Uniform CD-ROM driver Revision: 3.12
<4>ide-floppy driver 0.99.newide
<6>Partition check:
<6> hda: hda1 hda2 < hda5 >
<6> hdb: hdb1 < >
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a post-1991 82077
<6>NET4: Frame Diverter 0.46
<4>RAMDISK driver initialized: 16 RAM disks of 9216K size 1024 blocksize
<6>loop: loaded (max 8 devices)
<4>ide-floppy driver 0.99.newide
<6>usb.c: registered new driver usbdevfs
<6>usb.c: registered new driver hub
<6>usb-uhci.c: $Revision: 1.275 $ time 11:57:03 Sep  4 2002
<6>usb-uhci.c: High bandwidth mode enabled
<6>PCI: Found IRQ 11 for device 00:07.2
<6>usb-uhci.c: USB UHCI at I/O 0xef80, IRQ 11
<4>usb-uhci.c: Detected 2 ports
<6>usb.c: new USB bus registered, assigned bus number 1
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<6>usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
<6>usb.c: registered new driver hiddev
<6>usb.c: registered new driver hid
<6>hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
<6>hid-core.c: USB HID support drivers
<6>mice: PS/2 mouse device common for all mice
<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
<6>md: Autodetecting RAID arrays.
<6>md: autorun ...
<6>md: ... autorun DONE.
<6>NET4: Linux TCP/IP 1.0 for NET4.0
<6>IP Protocols: ICMP, UDP, TCP
<6>IP: routing cache hash table of 512 buckets, 4Kbytes
<6>TCP: Hash tables configured (established 4096 bind 8192)
<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
<5>RAMDISK: Compressed image found at block 0
<6>Freeing initrd memory: 506k freed
<4>VFS: Mounted root (ext2 filesystem).
<6>SCSI subsystem driver Revision: 1.00
<6>Initializing USB Mass Storage driver...
<6>usb.c: registered new driver usb-storage
<6>USB Mass Storage support registered.
<7>ISO 9660 Extensions: RRIP_1991A
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find ext2 filesystem on dev loop(7,1).
<6>Linux agpgart interface v0.99 (c) Jeff Hartmann
<6>agpgart: Maximum main memory to use for agp memory: 27M
<7>agpgart: unsupported bridge
<7>agpgart: no supported devices found.
<6>md: raid0 personality registered as nr 2
<6>md: raid1 personality registered as nr 3
<6>raid5: measuring checksumming speed
<4>   8regs     :   661.200 MB/sec
<4>   32regs    :   396.800 MB/sec
<4>   pII_mmx   :   905.200 MB/sec
<4>   p5_mmx    :   942.400 MB/sec
<4>raid5: using function: p5_mmx (942.400 MB/sec)
<6>md: raid5 personality registered as nr 4
<6>Journalled Block Device driver loaded
<6>LVM version 1.0.3(19/02/2002) module loaded
<6>parport0: PC-style at 0x378 (0x778) [PCSPP(,...)]
<6>parport0: irq 7 detected
<7>ISO 9660 Extensions: RRIP_1991A
<7>ISO 9660 Extensions: RRIP_1991A
<7>ISO 9660 Extensions: RRIP_1991A
<7>ISO 9660 Extensions: RRIP_1991A
<7>ISO 9660 Extensions: RRIP_1991A


/tmp/anaconda.log:
* 62204 kB are available
* modules to insert cramfs vfat nfs
* module(s) cramfs vfat nfs not found
* load module set done
* modules to insert ide-cd
* module(s) ide-cd not found
* load module set done
* modules to insert scsi_mod sd_mod sr_mod
* inserted /tmp/scsi_mod.o
* inserted /tmp/sd_mod.o
* inserted /tmp/sr_mod.o
* load module set done
* looking for usb controllers
* found USB controller usb-uhci
* modules to insert usb-uhci
* module(s) usb-uhci not found
* load module set done
* failed to insert usb module
* modules to insert hid keybdev usb-storage
* module(s) hid keybdev not found
* inserted /tmp/usb-storage.o
* load module set done
* no firewire controller found
* probing for floppy devices
* first non-detached floppy is fd0
* system floppy device is fd0
* probing buses
* finished bus probing
* modules to insert usb-uhci
* module(s) usb-uhci not found
* load module set done
* trying to mount device hdc
* 53 keymaps are available
* loaded 9 keymap tables
* starting to STEP_URL
* trying to mount device hdc
* trying to mount device hdc
* trying to mount device hdc
* got url (null)
* 53 keymaps are available
* 53 keymaps are available
* 53 keymaps are available
* loaded 9 keymap tables
* starting to STEP_URL
* partition /dev/hda5 selected
* mounting device hda5 as vfat
* mntloop loop0 on /tmp/loopimage as /tmp/hdimage//psyche-i386-disc1.iso fd is 12
* umounting loopback /tmp/loopimage loop0
* mntloop loop0 on /tmp/loopimage as /tmp/hdimage//psyche-i386-disc1.iso fd is 11
* copying file to fd 8
* wrote 9436506 bytes
* copied 7987200 bytes to (null)
* mntloop loop1 on /mnt/runtime as /tmp/ramfs/hdstg1.img fd is 12
* umounting loopback /tmp/loopimage loop0
* MD5SUM -> 3218284f8826bf95ccd6f248ad9229f0
* skipsectors = 15
* isostatus = 0
* got url hd://hda5:vfat/
* getting ready to spawn shell now
* modules to insert ide-cd
* module(s) ide-cd not found
* load module set done
* modules to insert
* load module set done
* probing buses
* finished bus probing
* modules to insert agpgart usb-uhci
* module(s) usb-uhci not found
* failed to insert /tmp/agpgart.o
* load module set done
* UPDATES floppy device is fd0
* recursively copying /tmp/update-disk/lost+found
* looking for video cards requiring agpgart module
* found video card controller unknown
* modules to insert raid0 raid1 xor raid5 msdos jbd ext3 reiserfs jfs xfs lvm-mod
* module(s) jfs xfs not found
* inserted /tmp/raid0.o
* inserted /tmp/raid1.o
* inserted /tmp/xor.o
* inserted /tmp/raid5.o
* inserted /tmp/msdos.o
* inserted /tmp/jbd.o
* inserted /tmp/ext3.o
* inserted /tmp/reiserfs.o
* inserted /tmp/lvm-mod.o
* load module set done
* loading parallel port drivers...
* modules to insert parport parport_pc
* inserted /tmp/parport.o
* inserted /tmp/parport_pc.o
* load module set done
* looking for USB mouse...
* Running anaconda script /usr/bin/anaconda
* Probing for video card:   S3 Trio3D/2X
* ddcprobe returned bogus values:
ID:   None
Name: None
HorizSync: None
VertSync:  None

* Probing for monitor type: Unable to probe
* Probing for mouse type:   Generic - 2 Button Mouse (serial)
* Graphical installation not available for hd installs.  Starting text mode.
* anaconda floppy device fd0
* Detected 64M of memory
* Swap attempt of 96M to 192M
* hda5 is a protected partition


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
I downloaded all three ISO images for Redhat 8 and
copied them to the target system that I wish to install Linux on.
2.
Created a boot floppy from image and began installation.
3.
Partitions:
hda1: 1 Gig  NTFS w/ WIn NT4.0 SP6a
hda2: 3 Gig  FAT that holds CDROM iso images
	
hdb1: /boot    100Meg
hdb2: swap     200Meg
hdb3: /        5.7 Gig

4. The menu continues just fine until right after
the user login info. Then an exception is thrown and
the install exits.

5. This is very repeatable. I also tried to run "linux updates"
to see that would solve the problem. It did not help.



Expected Results:  Clean RH8 Workstation installation.

Additional info:
Comment 1 Michael Lee Yohe 2002-12-02 09:58:24 EST
Have you run md5sum on the ISO images that you downloaded and compared the
resulting values with the CHECKSUM file located on the FTP server from which you
downloaded your ISO images?

One of my boxes had an ailing hard drive that failed to notify of a checksum
problem (on the very low level of the EIDE chipset) - and let programs read data
that was potentially corrupted.  An md5sum of the ISO images clearly showed that
the data was not properly written and/or read from that section of the hard disk.
Comment 2 Need Real Name 2002-12-03 15:54:06 EST
I gave up on the download and went with RH7.3 in a box.
It installed perfectly. I suspect the checksum would
have shown the error but then I'd be faced with another 
24 hours of download time.
Comment 3 Jeremy Katz 2003-01-10 03:10:21 EST
Closing as such.

Note You need to log in before you can comment on or make changes to this bug.